View Issue Details

IDProjectCategoryView StatusLast Update
0003421Raytracing[All Projects] Generalpublic2018-04-06 08:50
Reporterfederico.carminati@gmail.com Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003421: Duplicate workbench message
DescriptionWhen starting FreeCad I have the following message

During initialization the error "'RaytracingWorkbench' already exists." occurred in /Applications/FreeCAD.app/Contents/Mod/JtReader/InitGui.py
Please look into the log file for further information


I am using the latest pull from master.
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2018-04-05 12:27

administrator   ~0011129

> Please look into the log file for further information

And what does the log file tell you? Anyway, this message means that you somewhere have an application module that re-uses the wb name RaytracingWorkbench

federico.carminati@gmail.com

2018-04-05 12:49

reporter   ~0011130

Apparently JtReader reuses Raytracing. I am uploading the log file. Best,

FreeCAD.log (16,356 bytes)
Msg: FreeCAD 0.17, Libs: 0.17R13497 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Log: Time = Thu Apr  5 14:42:44 2018
Log: AppDataSkipVendor = true
Log: AppHomePath = /Applications/FreeCAD.app/Contents/
Log: AppIcon = freecad
Log: AppTempPath = /var/folders/c6/97mtvk2m8xjcb60059_xt2s00000z9/T/
Log: BinPath = /Applications/FreeCAD.app/Contents/bin/
Log: BuildRepositoryURL = https://github.com/FreeCAD/FreeCAD master
Log: BuildRevision = 13497 (Git)
Log: BuildRevisionBranch = master
Log: BuildRevisionDate = 2018/04/03 08:39:09
Log: BuildRevisionHash = 2a7cd1bb28c11ad7a0b0c3e990e69568df6d7354
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 17
Log: Console = 0
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


Log: Debug = 0
Log: DocPath = /Applications/FreeCAD.app/Contents/doc/
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.17
Log: LoggingFile = 1
Log: LoggingFileName = /Users/fca/FreeCAD.log
Log: MaintainerUrl = http://www.freecadweb.org/wiki/Main_Page
Log: PATH = /Applications/Absoft15.0/bin:/opt/local/bin:/opt/local/sbin:/usr/local/torch/install/bin:/sw/lib/perl5/ExtUtils:/sw/bin:/sw/sbin:/Developer/NVIDIA/CUDA-8.0/bin:/usr/local/root/bin:/usr/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS:/Users/fca/bin:/usr/local/fluka/flutil:/cern/pro/bin:/opt/local/clang/bin:/sw/opt/llvm-3.9/bin
Log: PYTHONPATH = 
Log: PythonSearchPath = :/Applications/FreeCAD.app/Contents/lib/python27.zip:/Applications/FreeCAD.app/Contents/lib/python2.7:/Applications/FreeCAD.app/Contents/lib/python2.7/plat-darwin:/Applications/FreeCAD.app/Contents/lib/python2.7/plat-mac:/Applications/FreeCAD.app/Contents/lib/python2.7/plat-mac/lib-scriptpackages:/Applications/FreeCAD.app/Contents/lib/python2.7/lib-tk:/Applications/FreeCAD.app/Contents/lib/python2.7/lib-old:/Applications/FreeCAD.app/Contents/lib/python2.7/lib-dynload
Log: RunMode = Gui
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = /Users/fca/Library/Preferences/FreeCAD/system.cfg
Log: UserAppData = /Users/fca/Library/Preferences/FreeCAD/
Log: UserHomePath = /Users/fca
Log: UserParameter = /Users/fca/Library/Preferences/FreeCAD/user.cfg
Log: Verbose = 
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init:   Searching for modules...
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Sketcher... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/ReverseEngineering... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Show(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Image... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Surface... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/PartDesign... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/ExplodedAssembly(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Measure... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD_assembly2(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Ship(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Points... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Plot(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/MeshPart... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/_TEMPLATE_... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD-library(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/OpenSCAD... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Fem... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Spreadsheet... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Start... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/AddonManager... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Draft... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Test... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Import... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/TechDraw... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Tux(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Complete... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Web... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FCGear(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Material... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Raytracing... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Mesh... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Path... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Part... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD-CuraEngine-Plugin(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Arch... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Robot... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Sandbox... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/JtReader... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD_drawing_dimensioning(Init.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Idf... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Inspection... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Drawing... done
Log: Using /Applications/FreeCAD.app/Contents/Mod as module path!
Log: System path after init:
Log:    /Applications/FreeCAD.app/Contents/bin
Log:    /Applications/FreeCAD.app/Contents/Mod/Sketcher
Log:    /Applications/FreeCAD.app/Contents/Mod/ReverseEngineering
Log:    /Applications/FreeCAD.app/Contents/Mod/Show
Log:    /Applications/FreeCAD.app/Contents/Mod/Image
Log:    /Applications/FreeCAD.app/Contents/Mod/Surface
Log:    /Applications/FreeCAD.app/Contents/Mod/PartDesign
Log:    /Applications/FreeCAD.app/Contents/Mod/ExplodedAssembly
Log:    /Applications/FreeCAD.app/Contents/Mod/Measure
Log:    /Applications/FreeCAD.app/Contents/Mod/FreeCAD_assembly2
Log:    /Applications/FreeCAD.app/Contents/Mod/Ship
Log:    /Applications/FreeCAD.app/Contents/Mod/Points
Log:    /Applications/FreeCAD.app/Contents/Mod/Plot
Log:    /Applications/FreeCAD.app/Contents/Mod/MeshPart
Log:    /Applications/FreeCAD.app/Contents/Mod/_TEMPLATE_
Log:    /Applications/FreeCAD.app/Contents/Mod/FreeCAD-library
Log:    /Applications/FreeCAD.app/Contents/Mod/OpenSCAD
Log:    /Applications/FreeCAD.app/Contents/Mod/Fem
Log:    /Applications/FreeCAD.app/Contents/Mod/Spreadsheet
Log:    /Applications/FreeCAD.app/Contents/Mod/Start
Log:    /Applications/FreeCAD.app/Contents/Mod/AddonManager
Log:    /Applications/FreeCAD.app/Contents/Mod/Draft
Log:    /Applications/FreeCAD.app/Contents/Mod/Test
Log:    /Applications/FreeCAD.app/Contents/Mod/Import
Log:    /Applications/FreeCAD.app/Contents/Mod/TechDraw
Log:    /Applications/FreeCAD.app/Contents/Mod/Tux
Log:    /Applications/FreeCAD.app/Contents/Mod/Complete
Log:    /Applications/FreeCAD.app/Contents/Mod/Web
Log:    /Applications/FreeCAD.app/Contents/Mod/FCGear
Log:    /Applications/FreeCAD.app/Contents/Mod/Material
Log:    /Applications/FreeCAD.app/Contents/Mod/Raytracing
Log:    /Applications/FreeCAD.app/Contents/Mod/Mesh
Log:    /Applications/FreeCAD.app/Contents/Mod/Path
Log:    /Applications/FreeCAD.app/Contents/Mod/Part
Log:    /Applications/FreeCAD.app/Contents/Mod/FreeCAD-CuraEngine-Plugin
Log:    /Applications/FreeCAD.app/Contents/Mod/Arch
Log:    /Applications/FreeCAD.app/Contents/Mod/Robot
Log:    /Applications/FreeCAD.app/Contents/Mod/Sandbox
Log:    /Applications/FreeCAD.app/Contents/Mod/JtReader
Log:    /Applications/FreeCAD.app/Contents/Mod/FreeCAD_drawing_dimensioning
Log:    /Applications/FreeCAD.app/Contents/Mod/Idf
Log:    /Applications/FreeCAD.app/Contents/Mod/Inspection
Log:    /Applications/FreeCAD.app/Contents/Mod/Drawing
Log:    /Applications/Absoft15.0/bin
Log:    /opt/local/bin
Log:    /opt/local/sbin
Log:    /usr/local/torch/install/bin
Log:    /sw/lib/perl5/ExtUtils
Log:    /sw/bin
Log:    /sw/sbin
Log:    /Developer/NVIDIA/CUDA-8.0/bin
Log:    /usr/local/root/bin
Log:    /usr/local/bin
Log:    /usr/local/bin
Log:    /usr/bin
Log:    /bin
Log:    /usr/sbin
Log:    /sbin
Log:    /Library/TeX/texbin
Log:    /opt/X11/bin
Log:    /Applications/Wireshark.app/Contents/MacOS
Log:    /Users/fca/bin
Log:    /usr/local/fluka/flutil
Log:    /cern/pro/bin
Log:    /opt/local/clang/bin
Log:    /sw/opt/llvm-3.9/bin
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version is: 2.1 (2.1 ATI-1.60.26)
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init:   Searching modules...
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Sketcher... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/ReverseEngineering... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Show(InitGui.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Image... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Surface... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/PartDesign... done
Log: Module: Part
Log: Loading Part module... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/ExplodedAssembly... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Measure(InitGui.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD_assembly2... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Ship... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Points... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Plot... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/MeshPart... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/_TEMPLATE_... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD-library(InitGui.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/OpenSCAD... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Fem... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Spreadsheet... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Start... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/AddonManager... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Draft... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Test... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Import... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/TechDraw... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Tux... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Complete... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Web... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FCGear... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Material... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Raytracing... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Mesh... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Path... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Part... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD-CuraEngine-Plugin... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Arch... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Robot... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Sandbox... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/JtReader... failed
Log: ----------------------------------------------------------------------------------------------------
Log: Traceback (most recent call last):
  File "<string>", line 120, in InitApplications
  File "<string>", line 70, in <module>
KeyError: "'RaytracingWorkbench' already exists."
Log: ----------------------------------------------------------------------------------------------------
Err: During initialization the error "'RaytracingWorkbench' already exists." occurred in /Applications/FreeCAD.app/Contents/Mod/JtReader/InitGui.py
Err: Please look into the log file for further information
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/FreeCAD_drawing_dimensioning... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Idf(InitGui.py not found)... ignore
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Inspection... done
Log: Init:      Initializing /Applications/FreeCAD.app/Contents/Mod/Drawing... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading GUI of Web module... done
Log: Loading GUI of Start module... done
Log: Loading Start module... done
Log: libpng warning: iCCP: known incorrect sRGB profile
Log: libpng warning: iCCP: known incorrect sRGB profile
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Loading GUI of Drawing module... done
Log: Qt WebEngine seems to be initialized from a plugin. Please set Qt::AA_ShareOpenGLContexts using QCoreApplication::setAttribute before constructing QGuiApplication.
Log: Loading Arch module... done
Log: Arch workbench activated
Log: Arch workbench deactivated
Log: Loading Draft module...done
Log: Draft workbench activated
Log: Draft workbench deactivated
Msg: Exploded Assembly workbench loaded
Log: Loading Fem module... done
Log: Loading GUI of Fem module... done
Log: <input>:66:16: Could not add child element to parent element because the types are incorrect.
Log: Loading GUI of Image module... done
Log: Loading GUI of Inspection module... done
Log: Loading Mesh module... done
Log: Loading GUI of Mesh module... done
Log: Loading GUI of Part module... done
Wrn: Cannot find icon: python
Wrn: Cannot find icon: python
Log: Hide main window
Log: Finish: Event loop left
Log: Destruct Gui::Application
Log: FreeCAD terminating...
Log: Saving system parameter...
Log: Saving system parameter...done
Log: Saving user parameter...
Log: Saving user parameter...done
FreeCAD.log (16,356 bytes)

wmayer

2018-04-06 08:50

administrator   ~0011132

https://github.com/FreeCAD/FreeCAD/commit/0258808ccb6ba3bd5ea9312f79cd023f1a8671b7

Issue History

Date Modified Username Field Change
2018-04-05 07:22 federico.carminati@gmail.com New Issue
2018-04-05 12:27 wmayer Note Added: 0011129
2018-04-05 12:49 federico.carminati@gmail.com File Added: FreeCAD.log
2018-04-05 12:49 federico.carminati@gmail.com Note Added: 0011130
2018-04-06 08:50 wmayer Assigned To => wmayer
2018-04-06 08:50 wmayer Status new => closed
2018-04-06 08:50 wmayer Resolution open => fixed
2018-04-06 08:50 wmayer Fixed in Version => 0.17
2018-04-06 08:50 wmayer Note Added: 0011132